Bug 214848 - editors/texmaker: fails to build with hunspell 1.5
Summary: editors/texmaker: fails to build with hunspell 1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-patch
Depends on:
Blocks: 214837
  Show dependency treegraph
 
Reported: 2016-11-26 11:12 UTC by Jan Beich
Modified: 2016-11-29 00:51 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-26 11:12:05 UTC
.obj/latexeditor.o: In function `LatexEditor::LatexEditor(QWidget*, QFont&, QList<QColor>, QList<QColor>, bool, QString, Hunspell*, bool, int, QKeySequence, QString, QStringList)':
latexeditor.cpp:(.text+0x6167): undefined reference to `Hunspell::get_dic_encoding()'
.obj/latexeditor.o: In function `LatexEditor::setSpellChecker(Hunspell*)':
latexeditor.cpp:(.text+0x14087): undefined reference to `Hunspell::get_dic_encoding()'
.obj/latexhighlighter.o: In function `LatexHighlighter::LatexHighlighter(QTextDocument*, bool, QString, Hunspell*)':
latexhighlighter.cpp:(.text+0x844): undefined reference to `Hunspell::get_dic_encoding()'
.obj/latexhighlighter.o: In function `LatexHighlighter::setSpellChecker(Hunspell*)':
latexhighlighter.cpp:(.text+0xb73a): undefined reference to `Hunspell::get_dic_encoding()'
.obj/spellerdialog.o: In function `SpellerDialog::SpellerDialog(QWidget*, LatexEditor*, QString)':
spellerdialog.cpp:(.text+0xdc): undefined reference to `Hunspell::get_dic_encoding()'
c++: error: linker command failed with exit code 1 (use -v to see invocation)

full build log: http://sprunge.us/VHPV
culprit: https://github.com/hunspell/hunspell/commit/971f8a9cf52e
Comment 1 Raphael Kubo da Costa freebsd_committer 2016-11-27 21:40:22 UTC
I think the problem's actually a mismatch between that, us trying to get hunspell from ports but the code still using the bundled, old hunspell at least for headers.
Comment 2 commit-hook freebsd_committer 2016-11-28 09:16:39 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 28 09:16:11 UTC 2016
New revision: 427290
URL: https://svnweb.freebsd.org/changeset/ports/427290

Log:
  editors/texmaker: fix Hunspell ABI mismatch

  The port passes -I. -I/usr/local/include/hunspell ... -I/usr/local/include
  but then proceeds to #include "hunspell/hunspell.hxx" which ends up picking
  bundled version. #include "hunspell.hxx" would be more correct but would
  require adjusting texmaker.pro to add -I./hunspell for OS X.

  PR:		214848
  Submitted by:	rakuco
  MFH:		2016Q4

Changes:
  head/editors/texmaker/Makefile
Comment 3 Raphael Kubo da Costa freebsd_committer 2016-11-28 09:21:32 UTC
> #include "hunspell.hxx" would be more correct but would require adjusting texmaker.pro to add -I./hunspell for OS X.

Do we care about OS X? I was going to commit a patch changing the includes to <hunspell.hxx>, and I still think it's a valid addition to your commit.
Comment 4 Jan Beich freebsd_committer 2016-11-28 09:34:36 UTC
> changing the includes to <hunspell.hxx>

Why add to the maintenance when there's no maintainer? Maybe send a patch upstream to rip out bundled Hunspell completely. However, I'm a bit puzzled about build glue for Windows that appears to be missing.
Comment 5 commit-hook freebsd_committer 2016-11-29 00:51:25 UTC
A commit references this bug:

Author: jbeich
Date: Tue Nov 29 00:50:33 UTC 2016
New revision: 427352
URL: https://svnweb.freebsd.org/changeset/ports/427352

Log:
  MFH: r427290

  editors/texmaker: fix Hunspell ABI mismatch

  The port passes -I. -I/usr/local/include/hunspell ... -I/usr/local/include
  but then proceeds to #include "hunspell/hunspell.hxx" which ends up picking
  bundled version. #include "hunspell.hxx" would be more correct but would
  require adjusting texmaker.pro to add -I./hunspell for OS X.

  PR:		214848
  Submitted by:	rakuco
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/editors/texmaker/Makefile